*****************************************************
*                                                   *
* TESTCHRZ.PRG                                      *
* Program to demonstrate the use of CHRZERO.OBJ     *
*                                                   *
* Author: Jefferson Allen                           *
* Date:   9/7/87                                    *
*                                                   *
* CHRZERO.OBJ is a compiled C routine that outputs  *
* a CHR(0) to the printer.  The dBASE language has  *
* no direct way of sending a CHR(0) to a printer.   *
* With Quicksilver, a CCALL may be used to call the *
* CHRZERO function located in CHRZERO.OBJ.          *
*                                                   *
* This program was tested on a STAR SG-10,          *
* EPSON LX-86, Panasonic KX-P1080i and an           *
* OKIDATA Microline 182.                            *
*                                                   *
* One common use of printing a CHR(0) is when using *
* the graphics mode of your printer. In graphics    *
* mode, sending a CHR(0) will print a single column *
* space.  Sending a CHR(255) will send a single     *
* column bar.  Using these two combinations, a      *
* simple BAR CODE printing program can be created.  *
*                                                   *
* Compile and link this program as follows:         *
*                                                   *
*         DB3C TESTCHRZ                             *
*         DB3L -Q TESTCHRZ                          *
*         QS -C!CHRZERO.OBJ -L TESTCHRZ             *
*                                                   *
* Refer to the CCALL line below for how to properly *
* call the CHRZERO function.                        *
*                                                   *
*****************************************************

WAIT 'Ready printer and press any key to begin test...'
SET PRINT ON
?

* Tell the printer that 257 columns of normal density dot
* graphics will follow.  See your printer manual for more
* details on how to print graphics.

? CHR(27) + 'K' + CHR(1) + CHR(1)

FOR I = 1 TO 129
  ?? CHR(255)
  CCALL CHRZERO WITH 'LPT1'
NEXT
?
SET PRINT OFF
WAIT
